
public class Cercle extends Forme2D {
	private double rayon;
	
	public Cercle( double rayon ){
		setRayon( rayon );
	}
	
	public void setRayon( double rayon ){
		assert 0.0 <= rayon;
		
		this . rayon = rayon;
	}
	
	public double getRayon(){
		return rayon;
	}
	
	@Override
	public double aire() {
		return Math.PI * rayon * rayon;
	}

	@Override
	public String toString(){
		return "<Cercle rayon=\"" + rayon + "\"/>";
	}
}
