
public class CylindreDroit extends Forme3D {
	private Forme2D base;
	private double hauteur;
	
	public CylindreDroit( Forme2D base, double hauteur ){
		setBase( base );
		setHauteur( hauteur );
	}
	
	public void setBase( Forme2D base ){
		assert null != base;
		
		this . base = base;
	}
	
	public void setHauteur( double hauteur ){
		assert 0 <= hauteur;
		
		this . hauteur = hauteur;
	}
	
	public Forme2D getBase(){
		return base;
	}
	
	public double getHauteur(){
		return hauteur;
	}
	
	@Override
	public double volume() {
		return base . aire() * hauteur;
	}

	@Override
	public String toString(){
		return "<CylindreDroit hauteur=\"" + hauteur + ">\n" +
				"  " + base + "\n" +
				"</CylindreDroit>";
	}
}
