
public class Rectangle extends Forme2D {
	private double hauteur;
	private double largeur;
	
	public Rectangle( double hauteur, double largeur ){
		setHauteur( hauteur );
		setLargeur( largeur );
	}
	
	public void setHauteur( double hauteur ){
		assert 0 <= hauteur;
		
		this . hauteur = hauteur;
	}
	
	public void setLargeur( double largeur ){
		assert 0 <= largeur;
		
		this . largeur = largeur;
	}
	
	public double getHauteur(){
		return hauteur;
	}
	
	public double getLargeur(){
		return largeur;
	}
	
	@Override
	public double aire() {
		return hauteur * largeur;
	}

	@Override
	public String toString(){
		return "<Rectangle hauteur=\"" + hauteur + "\" largeur=\"" + largeur + "\"/>";
	}
}
