
public class Sphere extends Forme3D {
	private double rayon;
	
	public Sphere( double rayon ){
		setRayon( rayon );
	}
	
	public void setRayon( double rayon ){
		assert 0.0 <= rayon;
		
		this . rayon = rayon;
	}
	
	public double getRayon(){
		return rayon;
	}
	
	@Override
	public double volume() {
		return 4.0 * Math.PI * rayon * rayon * rayon / 3.0;
	}

	@Override
	public String toString(){
		return "<Sphere rayon=\"" + rayon + "\"/>";
	}
}
